# Documentation Specfile
%define HTMLVIEW %(eval 'if [ "%{?dist}" = ".el5" ]; then echo "1"; else echo "0"; fi')

%define viewer xdg-open

%if %{HTMLVIEW}
%define viewer htmlview
%define vendor redhat-
%define vendoropt --vendor="redhat"
%endif

Name:         fedora-security-guide-en-US
Version:      13.0
Release:      6%{?dist}


Summary:       A Guide to Securing Fedora Linux

Group:         Documentation
License:       CC-BY-SA
URL:           http://docs.fedoraproject.org
Source:        http://sparks.fedorapeople.org/source/%{name}-%{version}-6.tgz
BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: publican
BuildRequires: desktop-file-utils
BuildRequires:    publican-fedora

%if %{HTMLVIEW}
Requires:    htmlview
%else
Requires:    xdg-utils
%endif

%description

The Fedora Security Guide is designed to
assist users of Fedora in learning the processes and practices of
securing workstations and servers against local and remote
intrusion, exploitation, and malicious activity. Focused on Fedora
Linux but detailing concepts and techniques valid for all Linux
systems, The Fedora Security Guide details the planning and the
tools involved in creating a secured computing environment for the
data center, workplace, and home. With proper administrative
knowledge, vigilance, and tools, systems running Linux can be both
fully functional and secured from most common intrusion and exploit
methods.


%prep
%setup -q

%build
publican build --formats="html-desktop" --langs=en-US

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications

cat > %{name}.desktop <<'EOF'
[Desktop Entry]
Name=Fedora 13: security-guide
Comment=A Guide to Securing Fedora Linux
Exec=%{viewer} %{_docdir}/%{name}-%{version}/index.html
Icon=%{_docdir}/%{name}-%{version}/images/icon.svg
Categories=Documentation;X-Red-Hat-Base;
Type=Application
Encoding=UTF-8
Terminal=false
EOF

%if %{HTMLVIEW}
desktop-file-install  %{?vendoropt} --dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{name}.desktop
%else
desktop-file-install --dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{name}.desktop
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc tmp/en-US/html-desktop/*
%if %{HTMLVIEW}
%{_datadir}/applications/%{?vendor}%{name}.desktop
%else
%{_datadir}/applications/%{name}.desktop
%endif

%changelog
* Wed Apr 14 2010 Eric Christensen <sparks@fedoraproject.org> 13.0-6
- Completed the encryption standards appendix. 

* Fri Apr  9 2010 Eric Christensen <sparks@fedoraproject.org> 13.0-5
- Added "Using GPG with Alpine". 
- Added "Using GPG with Evolution". 

* Tue Apr  6 2010 Eric Christensen <sparks@fedoraproject.org> 13.0-4
- Repaired issues regarding untranslatable text in para. 

* Tue Apr  6 2010 Eric Christensen <sparks@fedoraproject.org> 13.0-3
- Removed the PackageKit vulnerability text seen in Fedora 12. 

* Fri Nov 20 2009 Eric Christensen <sparks@fedoraproject.org> 13.0-2
- Added the Revision History to the end of the document. 
- Added the Encryption Standards appendix. 

* Fri Nov 20 2009 Eric Christensen <sparks@fedoraproject.org> 13.0-1
- Fedora 13 branch. 

* Thu Nov 19 2009 Eric Christensen <sparks@fedoraproject.org> 1.0-23
- Updated the section "Local users may install trusted packages" to the latest fix, again. 

* Thu Nov 19 2009 Eric Christensen <sparks@fedoraproject.org> 1.0-22
- Updated the section "Local users may install trusted packages" to the latest fix. 

* Wed Nov 18 2009 Eric Christensen <sparks@fedoraproject.org> 1.0-21
- Added section "Local users may install trusted packages". 

* Sat Nov 14 2009 Eric Christensen <sparks@fedoraproject.org> 1.0-20
- Added information from Wikipedia to the Encryption Standards appendix. 
- Added Adam Ligas to the author page for his role in developing the 7-Zip portions. 

* Mon Oct 26 2009 Eric Christensen <sparks@fedoraproject.org> 1.0-19
- Updated license to CC-BY-SA. 

* Wed Aug  5 2009 Eric Chrisetnsen <sparks@fedoraproject.org> 1.0-18
- Fixed issues related to Bug 515043. 

* Mon Jul 27 2009 Eric Christensen <sparks@fedoraproject.org> 1.0-17
- Repaired vendor information in SPEC. 

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> 1.0-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild 

* Tue Jul 14 2009 Eric Christensen <sparks@fedoraproject.org> 1.0-15
- Added "desktop-file-utils" to BUILDREQUIRES on the spec 

* Tue Mar 10 2009 Scott Radvan <sradvan@redhat.com> 1.0-14
- Remove more rhel specifics, major review and remove draft, ready for push 

* Mon Mar  2 2009 Scott Radvan <sradvan@redhat.com> 1.0-13
- Lots of minor fixes 

* Wed Feb 11 2009 Scott Radvan <sradvan@redhat.com> 1.0-12
- new screenshots from F11 replacing existing/older ones 

* Tue Feb  3 2009 Scott Radvan <sradvan@redhat.com> 1.0-11
- LUKS specifics to Fedora 9 modified to include later releases as well. 
- Fix 404s in reference section, mainly bad NSA links. 
- minor formatting changes. 

* Tue Jan 27 2009 Eric Christensen <sparks@fedoraproject.org> 1.0-10
- Fixed missing firewall setup screenshot. 

* Tue Jan 27 2009 Eric Christensen <sparks@fedoraproject.org> 1.0-9
- Repaired items found to be incorrect during validation. Many Red Hat references have been changed to Fedora references. 



